Subject: Re: The TCP RST

From: Vern Paxson <[email-masked]>
Date: Tue, 01 Aug 2000 15:19:34 PDT

> PS as an aside, what mechanism does SCTP have to avoid TIME-WAIT
> (a question for Vern)?

My memory's rusty, but I believe SCTP doesn't have a TIME-WAIT state.
There's little risk of a subsequent connection being confused with a
previous connection, because each connection includes a 32-bit random
verification tag (one for each direction) that, if incorrect, leads to
packets being dropped.

> Off the topic of this list, but I wonder if SCTP could benefit
> from analysis of the experiences of TCP with RSTs, since it
> is not widely deployed (e.g. an error code with the SCTP ABORT)

One thing that would be helpful would be an analysis of SCTP's open/close
mechanisms to determine whether they have reliability holes.

		Vern